# Class UiBinding.TextAreaAdapter<PropertyType>

java.lang.Object
com.codename1.properties.UiBinding.ComponentAdapter<PropertyType, TextArea>
com.codename1.properties.UiBinding.TextAreaAdapter<PropertyType>

Enclosing class:
  `UiBinding`

public static class UiBinding.TextAreaAdapter<PropertyType> extends UiBinding.ComponentAdapter<PropertyType, TextArea>

Adapts a `com.codename1.ui.TextArea` (and it's subclass `com.codename1.ui.TextField` to binding

##### Parameters

- `the`: type of the property generic

- ## Field Summary

  ### Fields inherited from class UiBinding.ComponentAdapter

  `toComponentType, toPropertyType`
  Modifier and Type
  Field
  Description
  `protected final UiBinding.ObjectConverter`
  `toComponentType`
  Used by the subclass to convert values from the property to the component
  `protected final UiBinding.ObjectConverter`
  `toPropertyType`
  Used by the subclass to convert values from the component to the property

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextAreaAdapter()`
  Constructs a new binding assuming a String property
  `TextAreaAdapter(UiBinding.ObjectConverter toPropertyType)`
  Constructs a new binding

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assignTo(PropertyType value, TextArea cmp)`
  Assigns the value from the property into the component
  `void`
  `bindListener(TextArea cmp, ActionListener<ActionEvent> l)`
  Binds an action listener to changes in the component
  `PropertyType`
  `getFrom(TextArea cmp)`
  Returns the value for the set method of the property from the given component
  `void`
  `removeListener(TextArea cmp, ActionListener<ActionEvent> l)`
  Removes the action listener from changes in the component

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TextAreaAdapter

    public TextAreaAdapter(UiBinding.ObjectConverter toPropertyType)

    Constructs a new binding

    ###### Parameters

    - `toPropertyType`: the conversion logic to the property

  - ### TextAreaAdapter

    public TextAreaAdapter()
    Constructs a new binding assuming a String property

- ## Method Details

  - ### assignTo

    public void assignTo(PropertyType value, TextArea cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Assigns the value from the property into the component

    ###### Parameters

    - `value`: the value that was returned from the property get method

    - `cmp`: the component instance

    Specified by:
      `assignTo` in class `UiBinding.ComponentAdapter<PropertyType, TextArea>`

  - ### getFrom

    public PropertyType getFrom(TextArea cmp)
    Description copied from class: `UiBinding.ComponentAdapter`

    Returns the value for the set method of the property from the given component

    ###### Parameters

    - `cmp`: the component

    ###### Returns

    the value we can place into the set method

    Specified by:
      `getFrom` in class `UiBinding.ComponentAdapter<PropertyType, TextArea>`

  - ### bindListener

    public void bindListener(TextArea cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Binds an action listener to changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `bindListener` in class `UiBinding.ComponentAdapter<PropertyType, TextArea>`

  - ### removeListener

    public void removeListener(TextArea cmp, ActionListener<ActionEvent> l)
    Description copied from class: `UiBinding.ComponentAdapter`

    Removes the action listener from changes in the component

    ###### Parameters

    - `cmp`: the component

    - `l`: listener

    Specified by:
      `removeListener` in class `UiBinding.ComponentAdapter<PropertyType, TextArea>`